[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Multiarch file overlap summary and proposal

On Thu, 23 Feb 2012, Goswin von Brederlow wrote:
> > Package: 3depict
> > Source: 3depict (0.0.9-1)
> > Version: 0.0.9-1+b1
> Except that doesn't have to work (sorry for the ubuntu part):
> Package: gcc
> Source: gcc-defaults (1.93ubuntu1)
> Version: 4:4.4.3-1ubuntu1
> What would the version be for a binNMU of gcc-defaults?

What about trying it?

$ head -n 1 debian/changelog 
gcc-defaults (1.112+b1) unstable; urgency=low
$ debuild -us -uc
$ dpkg -I ../gcc_4.6.2-4+b1_i386.deb 
 Package: gcc
 Source: gcc-defaults (1.112)
 Version: 4:4.6.2-4+b1

In any case, the fact that the source version is unrelated to the binary
version doesn't change anything to the requirement. We just want to ensure
that all (M-A: same) co-installable packages are synchronized at the same
version (either the source version, or the binary version but stripped
from its bin-NMU suffix).

Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/liberation/

Reply to: